
Foreman - Feature #14962

Support wild card certificates for proxy client authentication

05/09/2016 05:12 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Authentication   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3502

  

Description

We use SSL certificates for smart proxies to authenticate against Foreman. Usually certificates are created by Puppet CA and the

CN is FQDN of the proxy host. But we also have support for custom certificates and we support alternative names. Similarly we

should support wildcard certificates, so if CN is "*.example.tst" it should match "proxy.example.tst". On one hand it allows using same

certificate for more proxies which means imported reports might not be linked correctly but we already allow that through alternative

names.

Associated revisions

Revision f8a870d9 - 05/19/2016 06:57 AM - Marek Hulán

Fixes #14962 - support wildcard certs for proxy authentication

History

#1 - 05/09/2016 05:14 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3502 added

#2 - 05/19/2016 07:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f8a870d936918257e7927ebcde401731e8caf6a9.

#3 - 05/20/2016 06:55 AM - Dominic Cleal

- translation missing: en.field_release set to 136

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/f8a870d936918257e7927ebcde401731e8caf6a9
http://www.tcpdf.org

